import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfTitleKeySchema } from '../enums/PdfTitleKey.schema'

const nestedenumpdftitlekeyfilterSchema = z.object({
  equals: PdfTitleKeySchema.optional(),
  in: PdfTitleKeySchema.array().optional(),
  notIn: PdfTitleKeySchema.array().optional(),
  not: z.union([PdfTitleKeySchema, z.lazy(() => NestedEnumPdfTitleKeyFilterObjectSchema)]).optional()
}).strict();
export const NestedEnumPdfTitleKeyFilterObjectSchema: z.ZodType<Prisma.NestedEnumPdfTitleKeyFilter> = nestedenumpdftitlekeyfilterSchema as unknown as z.ZodType<Prisma.NestedEnumPdfTitleKeyFilter>;
export const NestedEnumPdfTitleKeyFilterObjectZodSchema = nestedenumpdftitlekeyfilterSchema;
